module P = Pervasives
module PCAP = Pcap

module Packet_analyser = struct
	
	let callback_process _ pkt_hdr pcap_payload =
		(
			prerr_endline (Printf.sprintf "packet_analyser: callback_process: start");
			prerr_endline (Printf.sprintf "packet_analyser: callback_process: packet length: pcap header %d payload size %d"
						pkt_hdr.PCAP.caplen
						(String.length pcap_payload))
			;
			
			prerr_endline (Printf.sprintf "packet_analyser: callback_process: reset env");
		)
	
	let launch_analysis trace_name =
		let pcap_t_handler_process = PCAP.pcap_open_offline trace_name in
		ignore (PCAP.pcap_loop pcap_t_handler_process (- 1) callback_process "");
	
end

